# 32/64bit spec-file
#
%define	oname	cwp
Name:		plasma-applet-cwp
Summary:	This is another weather plasmoid
Summary(de):	Dies ist ein weiteres Wetter-Plasmoid
Version:	1.10.0
Release:	%mkrel 1
Url:		http://www.kde-look.org/content/show.php/Customizable+Weather+Plasmoid?content=98925
License:	GPL
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	%{oname}-%{version}.tar.xz
BuildRequires: gettext
BuildRequires: cmake
BuildRequires: kdelibs-devel
BuildRequires: phonon-devel
BuildRequires: %{_lib}qt4-devel
Obsoletes:	plasma-applet-customizable_weather_plasmoid <= %{version}-%{release}
Provides:       plasma-applet-customizable_weather_plasmoid = %{version}-%{release}


%description
This is another weather plasmoid.
It aims to be highly customizable, but a little harder to setup than other weather plasmoids.
Nearly any weather forecast provider can be used, as long as the data is provided as html files (no flash).
The information how to extract the information from these html files is stored inside xml files.
Commands like grep, head, tail, sed, awk, are used.

More info here: http://www.kde-look.org/content/show.php/show.php?content=98925

%description -l de
Dies ist ein weiteres Wetter-Plasmoid
Das Ziel dieses Miniprogramms ist es sehr anpassbar an die eigenen Bedürfnisse zu sein,
wobei die Konfiguration etwas schwieriger ist, als bei anderen Wetter-Plasmoiden.
Fast jeder Wetterberichtsanbieter kann genutzt werden, solang wie die Daten im HTML-
Format bereitgestellt werden (kein Flash). Die Information, wie diese Informationen
zu extrahieren sind, aus den HTML-Dateien, ist in einer xml-Datei gespeichert.
Befehle wie grep, head, tail, sed, awk, ... werden diesen Job erledigen.

http://www.kde-look.org/content/show.php/show.php?content=98925

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_kde4
make

%install
rm -fr %buildroot
%{makeinstall_std} -C build
%find_lang plasma_applet_cwp

%clean
rm -rf %{buildroot}


%files -f plasma_applet_cwp.lang
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_libdir}/kde4/plasma_applet_cwp.so
%{_datadir}/apps/desktoptheme/default/widgets/*.svgz
%{_datadir}/apps/plasma-cwp
%{_datadir}/icons/oxygen/128x128/status/weather-windy.png
%{_datadir}/icons/oxygen/scalable/status/weather-windy.svgz
%{_datadir}/kde4/services/plasma-applet-cwp.desktop


%changelog
* Thu Feb 14 2014 bb <bb> 1.10.0-1pclos2014
- update

* Thu Nov 11 2013 travisn000 <*username* at gmail dot com> 1.9.0-1pclos2013
- update to latest version

* Sun Nov 10 2013 billybot> 1.7.3-2pclos2013
- rebuild for new kde
